/*
** Very Simple EuroBridge Widget Demonstration Program
**
** WARNING!
**	This is very a simple program. It just opens the widget into
**	a window and this may result a window much larger than the
**	screen. With some window managers this may be difficult
**	situation to handle... --msa
*/

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xew/Basic.h>
#include <X11/Xew/Raster.h>
#include <X11/Xew/Text.h>
#include <X11/Xew/Audio.h>
#include <X11/Xew/Video.h>
#include <X11/Xew/Support.h>

#include "fallback.c"

main(argc, argv)
int argc; char *argv[];
    {
	XtAppContext demo_application;
	Widget root_widget,  root, widget;
	Arg args[10];
	int n, i;
	char *imagefile, buf[100];
	XeContentFormat imagetype;

	root_widget = XtAppInitialize(&demo_application, "XewSimple",
				      NULL,0, &argc, argv,
				      fallback_resources,
				      NULL, 0);
	if (argc < 2)
	    {
		printf("usage: simple files(s)\n");
		exit(0);
	    }
	for (i = 1, root = root_widget; ;)
	    {
		imagefile = argv[i];
		n = 0;
		if (imagefile && imagefile[0] == '|')
		    {
			imagetype = XeContentFormat_UNKNOWN;
			XtSetArg(args[n], XtNcontentFilter, imagefile+1); ++n;
		    }
		else
		    {
			imagetype = XeFindContentFormat(imagefile);
			XtSetArg(args[n], XtNcontentFile, imagefile); ++n;
		    }
		XtSetArg(args[n], XtNcontentFormat, imagetype); ++n;
		switch (XeFindContentClass(imagetype))
		    {
		    default:
			printf("Assuming Text content type\n");
			/*
			** Request proportional spacing, because we are not
			** specifying the lineSpacing.
			*/
			XtSetArg(args[n], XtNproportional, True); ++n;
			widget = XtCreateManagedWidget
				("DemoText", xeTextWidgetClass, root, args, n);
			break;
		    case XeContentClass_VIDEO:
			widget = XtCreateManagedWidget
				("DemoVideo",xeVideoWidgetClass,root,args, n);
			break;
		    case XeContentClass_RASTER:
			widget = XtCreateManagedWidget
				("DemoRaster",xeRasterWidgetClass,root,args,n);
			break;
		    case XeContentClass_AUDIO:
			widget = XtCreateManagedWidget
				("DemoAudio", xeAudioWidgetClass,root,args,n);
			break;
		    }
		XtRealizeWidget(root);
		if (root != root_widget)
			XtPopup(root, XtGrabNone);
		if (++i >= argc)
			break;
		n = 0;
		root = XtCreatePopupShell
			(argv[i],topLevelShellWidgetClass,root_widget,args,n);
	    }
	XtAppMainLoop(demo_application);
	return 0;
    }

